Edit Cluster Config

Edit Cluster Config

Api to edit cluster config

Request
URI
PUT
https://{api_host}/tca/caas/api/v1/orgs/{orgId}/clusters/{clusterId}/configurations
COPY
Path Parameters
string
orgId
Optional

The identifier of the tenant

string
clusterId
Required

clusterId


Request Body

Edit Cluster Config

clusterConfigurations of type(s) application/json
Required
{
    "cniEditable": false,
    "csiEditable": false,
    "cni": [
        {
            "name": "string"
        }
    ],
    "networking": [
        {
            "name": "string",
            "properties": {
                "aviController": {
                    "aviUsername": "string",
                    "aviPassword": "string",
                    "aviCaDataB64": "string"
                },
                "loadBalancerAndIngressService": {
                    "cloudName": "string",
                    "defaultServiceEngineGroup": "string",
                    "defaultVipNetwork": "string",
                    "defaultVipNetworkCidr": "string"
                }
            }
        }
    ],
    "csi": [
        {
            "name": "string",
            "properties": {
                "name": "string",
                "isDefault": false,
                "serverIP": "string",
                "mountPath": "string",
                "datastoreUrl": "string",
                "timeout": "string",
                "region": "string",
                "zone": "string"
            }
        }
    ],
    "kubernetesVersion": "string",
    "tools": [
        {}
    ],
    "systemSettings": [
        {
            "name": "string",
            "properties": {
                "host": "string",
                "port": 0,
                "protocol": "string"
            }
        }
    ]
}
boolean
cniEditable
Optional

Internal flag to indicate if add/edit on CNIs are allowed.

boolean
csiEditable
Optional

Internal flag to indicate if add/edit on CSIs are allowed.

array of object
cni
Optional

Container Network Interfaces configured to the cluster.

array of object
networking
Optional

List of networking addon on the cluster.

array of object
csi
Optional

Container Storage Interfaces configured to the cluster.

string
kubernetesVersion
Optional

Kubernetes version of the cluster.

array of tools
tools
Optional

List of operators and addons on the cluster.

array of object
systemSettings
Optional

List of syslog servers added to the cluster.

Authentication
This operation uses the following authentication methods.
Responses
200

Successfully edited cluster config.

Returns clusterAPIResponse of type(s) application/json
{
    "id": "string",
    "operationId": "string"
}
string
id
Optional

The id of the cluster.

string
operationId
Optional

The operation id for tracking the progress of the operation being performed on the cluster.